/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.management.j2ee;

/**
 * MBean interface.
 */
public interface EJBModuleMBean
      extends
         org.jboss.management.j2ee.EventProvider,
         org.jboss.management.j2ee.J2EEModuleMBean
{

   java.lang.String[] getejbs();

   java.lang.String getejb(int pIndex);

   java.lang.String getjbossDeploymentDescriptor();

   java.lang.String getjawsDeploymentDescriptor();

   java.lang.String getcmpDeploymentDescriptor();

   void addChild(javax.management.ObjectName pChild);

   void removeChild(javax.management.ObjectName pChild);

}
